﻿using System.Collections;
using System.Collections.Generic;
using System.Windows.Data;

namespace WpfTreeView.Model
{
    public class ArticleCategory
    {
        public int Id { get; set; }
        public string CategoryName { get; set; }
        public ICollection<ArticleCategory> SubCategories { get; set; }
        public ICollection<Article> Articles { get; set; }

        public IList Children => new CompositeCollection {
            new CollectionContainer() {
                Collection = SubCategories},
            new CollectionContainer() { Collection = Articles} };

    }
}